Favicon

You are here: Home > API Reference > App Distribution > Application Feedbacks > Delete feedback

Delete feedback

Required Permission: mad.feedback.management.remove

Delete feedback

DELETE
https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/feedbacks/{feedbackId}
curl -X DELETE "https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/feedbacks/{feedbackId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/feedbacks/{feedbackId}", {
  method: "DELETE",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.delete(
    "https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/feedbacks/{feedbackId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
applicationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
feedbackId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
delete string optional
OK
{
    "status": true,
    "data": {
        "delete": "OK"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}